Index: LMDZ4/branches/LMDZ4-dev/libf/phylmd/phystokenc.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/phylmd/phystokenc.F	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/libf/phylmd/phystokenc.F	(revision 1114)
@@ -11,4 +11,5 @@
       USE ioipsl
       USE dimphy
+      USE infotrac, ONLY : nqtot
       USE iophy
       IMPLICIT none
@@ -21,5 +22,4 @@
 c======================================================================
 #include "dimensions.h"
-cym#include "dimphy.h"
 #include "tracstoke.h"
 #include "indicesol.h"
@@ -160,5 +160,5 @@
 	
 	CALL initphysto('phystoke',
-     . rlon,rlat,dtime, dtime*istphy,dtime*istphy,nqmx,physid)
+     . rlon,rlat,dtime, dtime*istphy,dtime*istphy,nqtot,physid)
   	
 	write(*,*) 'apres initphysto ds phystokenc' 
Index: LMDZ4/branches/LMDZ4-dev/libf/phylmd/phytrac.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/phylmd/phytrac.F	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/libf/phylmd/phytrac.F	(revision 1114)
@@ -8,5 +8,4 @@
      I                    debutphy,
      I                    lafin,
-     I                    nqmax,
      I                    nlon,
      I                    nlev,
@@ -67,4 +66,5 @@
       USE ioipsl
       USE dimphy
+      USE infotrac
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
@@ -80,6 +80,4 @@
 cAA Remarques en vrac:
 cAA--------------------
-cAA 1/ le call phytrac se fait avec nqmax-2 donc nous avons bien 
-cAA les vrais traceurs (nbtr) dans phytrac (pas la vapeur ni eau liquide)
 cAA 2/ Le choix du radon et du pb se fait juste avec un data 
 cAA    (peu propre). Peut-etre pourrait-on prevoir dans l'avenir 
@@ -93,5 +91,4 @@
 #include "paramet.h"
 #include "control.h"
-#include "advtrac.h"
 #include "thermcell.h"
 c======================================================================
@@ -107,5 +104,4 @@
       integer nlon  ! nombre de points horizontaux
       integer nlev  ! nombre de couches verticales
-      integer nqmax ! nombre de traceurs auxquels on applique la physique
       integer nstep  ! appel physique
       integer julien !jour julien
@@ -140,5 +136,5 @@
 
       REAL flxmass_w(klon,klev)
-      CHARACTER(len=8) :: solsym(nqmax)
+      CHARACTER(len=8) :: solsym(nbtr)
       integer la
       REAL              ::    tau_inca(klon,klev,9,2)
@@ -209,5 +205,5 @@
 cAA Pour l'instant seuls les cas du rn et du pb ont ete envisages.
 
-      REAL source(klon,nqmax)       ! a voir lorsque le flux est prescrit 
+      REAL source(klon,nbtr)       ! a voir lorsque le flux est prescrit 
 cAA 
 cAA Pour la source de radon et son reservoir de sol
@@ -216,5 +212,4 @@
       REAL,save,allocatable :: trs(:,:)    ! Conc. radon ds le sol
 c$OMP THREADPRIVATE(trs)
-cym      SAVE trs
       REAL :: trs_tmp(klon_glo)
       
@@ -223,20 +218,14 @@
 c                           (1 = reservoir) ou (possible => 1 )
 c$OMP THREADPRIVATE(masktr)
-cym      SAVE masktr
       REAL,save,allocatable :: fshtr(:,:)  ! Flux surfacique dans le reservoir de sol
 c$OMP THREADPRIVATE(fshtr)
-cym      SAVE fshtr
       REAL,save,allocatable :: hsoltr(:)      ! Epaisseur equivalente du reservoir de sol
 c$OMP THREADPRIVATE(hsoltr)
-cym      SAVE hsoltr
       REAL,save,allocatable :: tautr(:)       ! Constante de decroissance radioactive
 c$OMP THREADPRIVATE(tautr)
-cym      SAVE tautr
       REAL,save,allocatable :: vdeptr(:)      ! Vitesse de depot sec dans la couche Brownienne
 c$OMP THREADPRIVATE(vdeptr)
-cym      SAVE vdeptr
       REAL,save,allocatable :: scavtr(:)      ! Coefficient de lessivage
 c$OMP THREADPRIVATE(scavtr)
-cym      SAVE scavtr
 cAA
       CHARACTER*2 itn
@@ -270,5 +259,4 @@
       logical,save,allocatable :: radio(:)    ! radio(it)=true => decroisssance radioactive
 c$OMP THREADPRIVATE(aerosol,clsol,radio)  
-cym      save aerosol,clsol,radio
 C
 c======================================================================
@@ -360,11 +348,4 @@
           print*,'dans phytrac ',pdtphys,ecrit_tra
 
-         if(nbtr.lt.nqmax) then
-c           print*,'NQMAX=',nqmax
-c           print*,'NBTR=',nbtr
-           abort_message='See above'
-           call abort_gcm(modname,abort_message,1)
-         endif
-
          inirnpb=rnpb
          PRINT*, 'La frequence de sortie traceurs est  ', ecrit_tra
@@ -406,5 +387,5 @@
 c Initialisation de la nature des traceurs
 c
-         DO it = 1, nqmax
+         DO it = 1, nbtr
             aerosol(it) = .FALSE.  ! Tous les traceurs sont des gaz par defaut
             radio(it) = .FALSE.    ! Par defaut pas de passage par radiornpb
@@ -533,5 +514,5 @@
 c======================================================================
 c     print*,'Avant convection'
-       do it=1,nqmax
+       do it=1,nbtr
           WRITE(itn,'(i2)') it
 c        call diagtracphy(tr_seri(:,:,it),paprs,'Avant conv'//itn)
@@ -541,7 +522,9 @@
 
 c      print*,'Pas de temps dans phytrac : ',pdtphys
-      DO it=1, nqmax
-
-      IF ( config_inca/='none' .AND. conv_flg(it) == 0 ) CYCLE
+      DO it=1, nbtr
+
+      IF ( config_inca/='none') THEN 
+         IF ( conv_flg(it) == 0 ) CYCLE
+      END IF
 
       if (iflag_con.lt.2) then
@@ -574,5 +557,5 @@
       endif ! convection
 c        print*,'Apres convection'
-c      do it=1,nqmax
+c      do it=1,nbtr
 c         WRITE(itn,'(i1)') it
 c        call diagtracphy(tr_seri(:,:,it),paprs,'Avant conv'//itn)
@@ -591,5 +574,5 @@
 
 c      print*,'masse dans ph ',zmasse
-      do it=1,nqmax
+      do it=1,nbtr
          do k=1,klev
             do i=1,klon
@@ -604,5 +587,5 @@
 c        print*,'calcul de leffet des thermiques'
         nsplit=10
-        DO it=1, nqmax
+        DO it=1, nbtr
 c        WRITE(itn,'(i1)') it
 c        CALL minmaxqfi(tr_seri(1,1,it),1.e10,-1.e33,'conv it='//itn)
@@ -642,5 +625,5 @@
 c======================================================================
 c	print *,'Avant couchelimite'
-c      do it=1,nqmax
+c      do it=1,nbtr
 c         WRITE(itn,'(i1)') it
 c        call diagtracphy(tr_seri(:,:,it),paprs,'Avant CL  '//itn)
@@ -656,7 +639,9 @@
 
 C maf modif pour tenir compte du cas rnpb + traceur
-      DO it=1, nqmax
-
-      IF ( config_inca/='none' .AND. pbl_flg(it) == 0 ) CYCLE
+      DO it=1, nbtr
+
+         IF ( config_inca/='none' ) THEN
+            IF( pbl_flg(it) == 0 ) CYCLE
+         END IF
 
 c     print *,'it',it,clsol(it)
@@ -711,5 +696,5 @@
 
 c      print*,'Apres couchelimite'
-c      do it=1,nqmax
+c      do it=1,nbtr
 c         WRITE(itn,'(i1)') it
 c        call diagtracphy(tr_seri(:,:,it),paprs,'Avant CL  '//itn)
@@ -726,5 +711,5 @@
         call radiornpb (tr_seri,pdtphys,tautr,d_tr_dec)
 C
-        DO it=1,nqmax
+        DO it=1,nbtr
             if(radio(it)) then
             DO k = 1, nlev
@@ -755,5 +740,5 @@
 c tendance des aerosols nuclees et impactes 
 c
-       DO it = 1, nqmax
+       DO it = 1, nbtr
          IF (aerosol(it)) THEN
            DO k = 1, nlev
@@ -774,5 +759,5 @@
 c      call dump2d(iim,jjm-1,frac_nucl(2:klon-1,10),'FRACNUCL')
 c      call dump2d(iim,jjm-1,tr_seri(2:klon-1,10,3),'TRACEUR3')
-       DO it = 1, nqmax
+       DO it = 1, nbtr
 c         print*,'IT=',it,aerosol(it)
          IF (aerosol(it)) THEN
@@ -790,5 +775,5 @@
 c Flux lessivage total 
 c
-      DO it = 1, nqmax
+      DO it = 1, nbtr
            DO k = 1, nlev
             DO i = 1, klon
Index: LMDZ4/branches/LMDZ4-dev/libf/phylmd/radiornpb.F
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/phylmd/radiornpb.F	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/libf/phylmd/radiornpb.F	(revision 1114)
@@ -4,4 +4,5 @@
       SUBROUTINE radiornpb(tr,dtime,tautr,d_tr) 
       USE dimphy
+      USE infotrac, ONLY : nbtr
       IMPLICIT none
 c======================================================================
Index: LMDZ4/branches/LMDZ4-dev/libf/phylmd/write_histrac.h
===================================================================
--- LMDZ4/branches/LMDZ4-dev/libf/phylmd/write_histrac.h	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/libf/phylmd/write_histrac.h	(revision 1114)
@@ -14,23 +14,22 @@
       CALL histwrite_phy(nid_tra,"aire",itau_w,airephy)
 
-      DO it=1,nqmax
-C champs 2D
+      DO it=1,nbtr
+       iiq=niadv(it+2)
 
-
-       CALL histwrite_phy(nid_tra,tnom(it+2),itau_w,tr_seri(:,:,it))
+       CALL histwrite_phy(nid_tra,tname(iiq),itau_w,tr_seri(:,:,it))
        if (lessivage) THEN
-       CALL histwrite_phy(nid_tra,"fl"//tnom(it+2),itau_w,
+       CALL histwrite_phy(nid_tra,"fl"//tname(iiq),itau_w,
      .                                   flestottr(:,:,it))
       endif
       
 c----Olivia
-       CALL histwrite_phy(nid_tra,"d_tr_th_"//tnom(it+2),itau_w,
+       CALL histwrite_phy(nid_tra,"d_tr_th_"//tname(iiq),itau_w,
      .                                           d_tr_th(:,:,it))
 
          if(iflag_con.GE.2) then
-       CALL histwrite_phy(nid_tra,"d_tr_cv_"//tnom(it+2),itau_w,
+       CALL histwrite_phy(nid_tra,"d_tr_cv_"//tname(iiq),itau_w,
      .                                           d_tr_cv(:,:,it))
          endif !(iflag_con.GE.2) then
-       CALL histwrite_phy(nid_tra,"d_tr_cl_"//tnom(it+2),itau_w,
+       CALL histwrite_phy(nid_tra,"d_tr_cl_"//tname(iiq),itau_w,
      .                                           d_tr_cl(:,:,it))
 c---fin Olivia      
Index: LMDZ4/branches/LMDZ4-dev/makegcm
===================================================================
--- LMDZ4/branches/LMDZ4-dev/makegcm	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/makegcm	(revision 1114)
@@ -11,5 +11,4 @@
 set phys="PHYS=$physique"
 set include='-I$(LIBF)/grid -I$(LIBF)/bibio -I$(LIBF)/filtrez -I. '
-set ntrac = 4
 set filtre=filtrez
 set grille=reg
@@ -365,15 +364,9 @@
 -d imxjmxlm  ou im, jm, et lm sont resp. le nombre de longitudes, latitudes
              et couches verticales. 
-
--t ntrac   selectionne le nombre de traceur advectes par la dynamique.
-           Dans les versions courantes du modele terrestre on a par exemple
-           ntrac=2 pour l'eau vapeur et liquide
-
-             L'effet des options -d et -t est d'ecraser le fichier 
+             L'effet des options -d est d'ecraser le fichier 
              $LMDGCM/libf/grid/dimensions.h
-             qui contient sous forme de 4 PARAMETER FORTRAN les 3 dimensions
-             de la grille horizontale im, jm, lm plus le nombre de traceurs
-             advectes passivement par la dynamique ntrac, par un nouveu fichier
-             $LMDGCM/libf/grid/dimension/dimensions.im.jm.lm.tntrac
+             qui contient sous forme de 3 PARAMETER FORTRAN les 3 dimensions
+             de la grille horizontale im, jm et verticale lm, par un nouveu fichier
+             $LMDGCM/libf/grid/dimension/dimensions.im.jm.lm
              Si ce fichier n'existe pas encore, il est cree par le script
              $LMDGCM/libf/grid/dimension/makdim
@@ -472,7 +465,4 @@
         set parallel="$2" ; shift ; shift ; goto top
   
-     case -t
-        set ntrac=$2 ; shift ; shift ; goto top
-
      case -include
         set include="$include -I$2" ; shift ; shift ; goto top
@@ -584,23 +574,4 @@
 
 ########################################################################
-# choix du nombre de traceur par defaut si il n'a pas ete choisi,
-# suivant la physique
-########################################################################
-
-if ( $ntrac == 0  ) then
-    if ( "$physique" == 'nophys' ) then
-        set ntrac=1
-    else if ( "$physique" == 'lmd' ) then
-        set ntrac=2
-    else if ( "$physique" == 'lmd_test_li' ) then
-        set ntrac=2
-    else if ( "$physique" == 'ec' ) then
-        set ntrac=1
-    else
-        set ntrac = 1
-    endif
-endif
-
-########################################################################
 #subtilites sur le nom de la librairie
 ########################################################################
@@ -631,11 +602,11 @@
    set dim=`echo $dim | sed -e 's/[^0-9]/ /g'`
 endif
-set nomlib=${nomlib}${physique}_${dim_}_t${ntrac}_$grille
+set nomlib=${nomlib}${physique}_${dim_}_$grille
 ## M-A-F nomlib trop long sur CRAY pour ar
 if ( $CRAY ) then
-    set nomlib=F90_${dim_}_t${ntrac}
+    set nomlib=F90_${dim_}
 endif
 if ( $NEC || $XNEC || $X6NEC || $X8BRODIE ) then
-    set nomlib=F90_${dim_}_t${ntrac}_'phy'${physique}${FLAG_PARA}
+    set nomlib=F90_${dim_}_'phy'${physique}${FLAG_PARA}
 endif
 echo calcul de la dimension
@@ -664,5 +635,5 @@
 ########################################################################
 # Gestion des dimensions du modele.
-# on cree ou remplace le fichier des dimensions/nombre de traceur
+# on cree ou remplace le fichier des dimensions
 ########################################################################
 
@@ -682,5 +653,5 @@
 
 cd dimension
-./makdim $ntrac $dim
+./makdim $dim
 cat $libf/grid/dimensions.h
 
Index: LMDZ4/branches/LMDZ4-dev/makegcm_fcm
===================================================================
--- LMDZ4/branches/LMDZ4-dev/makegcm_fcm	(revision 1113)
+++ LMDZ4/branches/LMDZ4-dev/makegcm_fcm	(revision 1114)
@@ -18,5 +18,4 @@
 set dim="96x72x19"
 set physique=lmd
-set ntrac = 4
 set filtre=filtrez
 set grille=reg
@@ -60,5 +59,4 @@
 [-h]                       : manuel abrégé
 [-d [[IMx]JMx]LM]          : IM, JM, LM sont les dims en x, y, z (def: $dim)
-[-t NTRAC]                 : nombre de traceurs (def: 4)
 [-p PHYS]                  : compilation avec la physique libf/phyPHYS, (def: lmd)
 [-prod / -dev / -debug]    : compilation en mode production (default) / developpement / debug .
@@ -115,7 +113,4 @@
         set parallel="$2" ; shift ; shift ; goto top
   
-     case -t
-        set ntrac=$2 ; shift ; shift ; goto top
-
      case -include
         set INCLUDE="$INCLUDE -I$2" ; shift ; shift ; goto top
@@ -211,25 +206,4 @@
 set LIB="$LIB -L${NETCDF_LIBDIR} -lnetcdf"
 
-
-########################################################################
-# choix du nombre de traceur par defaut si il n'a pas ete choisi,
-# suivant la physique
-########################################################################
-
-if ( $ntrac == 0  ) then
-    if ( "$physique" == 'nophys' ) then
-        set ntrac=1
-    else if ( "$physique" == 'lmd' ) then
-        set ntrac=2
-    else if ( "$physique" == 'lmd_test_li' ) then
-        set ntrac=2
-    else if ( "$physique" == 'ec' ) then
-        set ntrac=1
-    else
-        set ntrac = 1
-    endif
-endif
-
-
 ########################################################################
 # calcul du nombre de dimensions
@@ -248,9 +222,9 @@
 ########################################################################
 # Gestion des dimensions du modele.
-# on cree ou remplace le fichier des dimensions/nombre de traceur
+# on cree ou remplace le fichier des dimensions
 ########################################################################
 
 cd $LIBFGCM/grid/dimension
-./makdim $ntrac $dim
+./makdim $dim
 cat $LIBFGCM/grid/dimensions.h
 cd $LMDGCM
@@ -314,5 +288,5 @@
 
 set SUFF_NAME=_${dim_full}
-set SUFF_NAME=${SUFF_NAME}_t${ntrac}_phy${physique}
+set SUFF_NAME=${SUFF_NAME}_phy${physique}
 
 if ( "$parallel" != 'none' ) then
